Package org.jfree.layouting.input.style

## Class PageAreaType

- java.lang.Object
- - org.jfree.layouting.input.style.PageAreaType

-     public class PageAreaType
      extends java.lang.Object

  Creation-Date: 15.06.2006, 16:12:31
  Author:
    Thomas Morgner

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static PageAreaType` | `BOTTOM` |
    `static PageAreaType` | `BOTTOM_CENTER` |
    `static PageAreaType` | `BOTTOM_LEFT` |
    `static PageAreaType` | `BOTTOM_LEFT_CORNER` |
    `static PageAreaType` | `BOTTOM_RIGHT` |
    `static PageAreaType` | `BOTTOM_RIGHT_CORNER` |
    `static PageAreaType` | `CONTENT` |
    `static PageAreaType` | `LEFT_BOTTOM` |
    `static PageAreaType` | `LEFT_MIDDLE` |
    `static PageAreaType` | `LEFT_TOP` |
    `static PageAreaType` | `RIGHT_BOTTOM` |
    `static PageAreaType` | `RIGHT_MIDDLE` |
    `static PageAreaType` | `RIGHT_TOP` |
    `static PageAreaType` | `TOP` |
    `static PageAreaType` | `TOP_CENTER` |
    `static PageAreaType` | `TOP_LEFT` |
    `static PageAreaType` | `TOP_LEFT_CORNER` |
    `static PageAreaType` | `TOP_RIGHT` |
    `static PageAreaType` | `TOP_RIGHT_CORNER` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getIndex​()` |
    `static int` | `getMaxIndex​()` |
    `java.lang.String` | `getName​()` |
    `static PageAreaType[]` | `getPageAreas​()` |
    `java.lang.String` | `toString​()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TOP

          public static final PageAreaType TOP

    - #### TOP_LEFT_CORNER

          public static final PageAreaType TOP_LEFT_CORNER

    - #### TOP_LEFT

          public static final PageAreaType TOP_LEFT

    - #### TOP_CENTER

          public static final PageAreaType TOP_CENTER

    - #### TOP_RIGHT

          public static final PageAreaType TOP_RIGHT

    - #### TOP_RIGHT_CORNER

          public static final PageAreaType TOP_RIGHT_CORNER

    - #### LEFT_TOP

          public static final PageAreaType LEFT_TOP

    - #### LEFT_MIDDLE

          public static final PageAreaType LEFT_MIDDLE

    - #### LEFT_BOTTOM

          public static final PageAreaType LEFT_BOTTOM

    - #### RIGHT_TOP

          public static final PageAreaType RIGHT_TOP

    - #### RIGHT_MIDDLE

          public static final PageAreaType RIGHT_MIDDLE

    - #### RIGHT_BOTTOM

          public static final PageAreaType RIGHT_BOTTOM

    - #### BOTTOM

          public static final PageAreaType BOTTOM

    - #### BOTTOM_LEFT_CORNER

          public static final PageAreaType BOTTOM_LEFT_CORNER

    - #### BOTTOM_LEFT

          public static final PageAreaType BOTTOM_LEFT

    - #### BOTTOM_CENTER

          public static final PageAreaType BOTTOM_CENTER

    - #### BOTTOM_RIGHT

          public static final PageAreaType BOTTOM_RIGHT

    - #### BOTTOM_RIGHT_CORNER

          public static final PageAreaType BOTTOM_RIGHT_CORNER

    - #### CONTENT

          public static final PageAreaType CONTENT

  - ### Method Detail

    - #### getIndex

          public int getIndex​()

    - #### getMaxIndex

          public static int getMaxIndex​()

    - #### getPageAreas

          public static PageAreaType[] getPageAreas​()

    - #### toString

          public java.lang.String toString​()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getName

          public java.lang.String getName​()